<style>
.modal-contents{
z-index:1050;
padding:10px;
top:40px;
}
/*モーダルを開くボタン*/
.modal-open, .mail-open, .user-open{
padding:10px;
display: inline-block;
  font-weight: bold;
  color: #fff;
  background: #607d8b;
  cursor: pointer;
border:solid 1px;
}
/*モーダル本体の指定 + モーダル外側の背景の指定*/
.modal-container, .mail-container, .user-container{
  position: fixed;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  text-align: center;
  background: rgba(0,0,0,50%);
  padding: 40px 20px;
  overflow: auto;
  opacity: 0;
  visibility: hidden;
  transition: .3s;
  box-sizing: border-box;
z-index:1100;
}
/*モーダル本体の擬似要素の指定*/
.modal-container:before, .mail-container:before, .user-container:before{
  content: "";
  display: inline-block;
  vertical-align: middle;
  height: 100%;
}
/*モーダル本体に「active」クラス付与した時のスタイル*/
.modal-container.active, .mail-container.active, .user-container.active{
  opacity: 1;
  visibility: visible;
}
/*モーダル枠の指定*/
.modal-body, .mail-body, .user-body{
  position: relative;
  display: inline-block;
  vertical-align: middle;
  max-width: 500px;
  width: 90%;
}
/*モーダルを閉じるボタンの指定*/
.modal-close, .mail-close, .user-close{
  position: absolute;
  display: flex;
  align-items: center;
  justify-content: center;
  top: -40px;
  right: -40px;
  width: 40px;
  height: 40px;
  font-size: 40px;
  color: #fff;
  cursor: pointer;
}
/*モーダル内のコンテンツの指定*/
.modal-content{
  background: #fff;
  text-align: left;
  padding: 10px;
}
.fixed {
  position: fixed;
top:0;
}
</style>
<?php
$todouhuken = post_custom('todouhuken');
$syozaiti1 = post_custom('syozaiti1');
if(!empty(post_custom('type'))){
$type = explode(',',post_custom('type'));
}else{
$type = array('売土地','売一戸建','売マンション','売外全','売外一','賃貸土地','賃貸一戸建','賃貸マンション','賃貸外全','賃貸外一');
}
global $wpdb;
$bukken_data = $wpdb->prefix.'jisaku_fudousan_data';
$fudousan_bukken_add = $wpdb->prefix.'jisaku_fudousan_option';
$s = $_GET['m'];
$l = $_GET['low-price'];
$h = $_GET['high-price'];
$lr = $_GET['low-rent'];
$hr = $_GET['high-rent'];
$ti = $_GET['tochi'];
$m = $_GET['menseki'];
$ma = $_GET['madori'];
$ye = $_GET['ye'];
$g_type = $_GET['type'];
$g_syozaiti2 = $_GET['syozaiti2'];
if(!empty($g_syozaiti2)){
foreach($g_syozaiti2 as $value){
$g_syozaiti2_open .= "'".$value."'";
if(next($g_syozaiti2)){
$g_syozaiti2_open .= ',';
}
}
}
$g_pet = $_GET['pet'];
if(!empty($g_pet)){
$g_pet_open = 1;
}else{
$g_pet_open = '0,1';
}
global $wpdb;
$madori = $wpdb->get_results("SELECT distinct madori FROM $wpdb->bukken_file WHERE type= '$type'");
$mp = $wpdb->get_var( "SELECT MAX(price) FROM $bukken_data");
$mr = $wpdb->get_var( "SELECT MAX(rent) FROM $bukken_data");
$syozaiti2 = $wpdb->get_col("SELECT distinct syozaiti2 FROM $bukken_data ORDER BY syozaiti2 ASC");
?>
<div class="modal-container">
  <div class="modal-body">
    <div class="modal-close">×</div>
    <div class="modal-content">
<form id="form" action="<?php echo $_SERVER['REQUEST_URI'];?>#search_bukken" method="get">
<details style="border:solid 1px; border-radius:4px; padding:10px; margin-bottom:10px;"><summary>物件種別選択</summary>
<div style="display:flex; flex-wrap:wrap;">
<?php
foreach($type as $type_check){
echo '<div style="margin:5px;"><input type="checkbox" value="'.$type_check.'" name=type[] style="margin-right:5px;"';
if(!empty($g_type)){if(array_search($type_check,$g_type) !== false){echo ' checked';}}else{echo ' checked';}
echo '>'.$type_check.'</div>';
}
?>
</div>
</details>
<details style="border:solid 1px; border-radius:4px; padding:10px; margin-bottom:10px;"><summary>町名選択</summary>
<div style="display:flex; flex-wrap:wrap;">
<?php
foreach($syozaiti2 as $syozaiti2_check){
echo '<div style="margin:5px;"><input type="checkbox" value="'.$syozaiti2_check.'" name=syozaiti2[] style="margin-right:5px;"';
if(!empty($g_syozaiti2)){if(array_search($syozaiti2_check,$g_syozaiti2) !== false){echo ' checked';}}else{echo ' checked';}
echo '>'.$syozaiti2_check.'</div>';
}
?>
</div>
</details>
<table>
<tbody>
<tr>
<td>価格</td>
<td>
<select name="low-price">
<option value="0" <?php if ($l == '0'){echo 'selected';}?>>下限なし</option>
<option value="1000000" <?php if ($l == '1000000'){echo 'selected';}?>>100万円</option>
<option value="5000000" <?php if ($l == '5000000'){echo 'selected';}?>>500万円</option>
<option value="10000000" <?php if ($l == '10000000'){echo 'selected';}?>>1000万円</option>
<option value="20000000" <?php if ($l == '20000000'){echo 'selected';}?>>2000万円</option>
<option value="30000000" <?php if ($l == '30000000'){echo 'selected';}?>>3000万円</option>
<option value="40000000" <?php if ($l == '40000000'){echo 'selected';}?>>4000万円</option>
<option value="50000000" <?php if ($l == '50000000'){echo 'selected';}?>>5000万円</option>
</select>
～
<select name="high-price">
<option value="<?php echo $mp; ?>" <?php if ($h == $mp){echo 'selected';}?>>上限なし</option>
<option value="1000000" <?php if ($h == '1000000'){echo 'selected';}?>>100万円</option>
<option value="5000000" <?php if ($h == '5000000'){echo 'selected';}?>>500万円</option>
<option value="10000000" <?php if ($h == '10000000'){echo 'selected';}?>>1000万円</option>
<option value="20000000" <?php if ($h == '20000000'){echo 'selected';}?>>2000万円</option>
<option value="30000000" <?php if ($h == '30000000'){echo 'selected';}?>>3000万円</option>
<option value="40000000" <?php if ($h == '40000000'){echo 'selected';}?>>4000万円</option>
<option value="50000000" <?php if ($h == '50000000'){echo 'selected';}?>>5000万円</option>
<option value="100000000" <?php if ($h == '100000000'){echo 'selected';}?>>1億円</option>
</select>
</td>
</tr>
<tr>
<td>賃料</td>
<td>
<select name="low-rent">
<option value="0" <?php if ($lr == '0'){echo 'selected';}?>>下限なし</option>
<option value="30000" <?php if ($lr == '30000'){echo 'selected';}?>>3万円</option>
<option value="50000" <?php if ($lr == '50000'){echo 'selected';}?>>5万円</option>
<option value="70000" <?php if ($lr == '70000'){echo 'selected';}?>>7万円</option>
<option value="100000" <?php if ($lr == '100000'){echo 'selected';}?>>10万円</option>
<option value="120000" <?php if ($lr == '120000'){echo 'selected';}?>>12万円</option>
<option value="150000" <?php if ($lr == '150000'){echo 'selected';}?>>15万円</option>
<option value="200000" <?php if ($lr == '200000'){echo 'selected';}?>>20万円</option>
<option value="250000" <?php if ($lr == '250000'){echo 'selected';}?>>25万円</option>
</select>
～
<select name="high-rent">
<option value="<?php echo $mr; ?>" <?php if ($hr == $mr){echo 'selected';}?>>上限なし</option>
<option value="40000" <?php if ($hr == '40000'){echo 'selected';}?>>4万円</option>
<option value="50000" <?php if ($hr == '50000'){echo 'selected';}?>>5万円</option>
<option value="70000" <?php if ($hr == '70000'){echo 'selected';}?>>7万円</option>
<option value="100000" <?php if ($hr == '100000'){echo 'selected';}?>>10万円</option>
<option value="120000" <?php if ($hr == '120000'){echo 'selected';}?>>12万円</option>
<option value="150000" <?php if ($hr == '150000'){echo 'selected';}?>>15万円</option>
<option value="200000" <?php if ($hr == '200000'){echo 'selected';}?>>20万円</option>
<option value="250000" <?php if ($hr == '250000'){echo 'selected';}?>>25万円</option>
<option value="300000" <?php if ($hr == '300000'){echo 'selected';}?>>30万円</option>
<option value="400000" <?php if ($hr == '400000'){echo 'selected';}?>>40万円</option>
<option value="500000" <?php if ($hr == '500000'){echo 'selected';}?>>50万円</option>
</select>
</td>
</tr>
<tr>
<td>築年数</td>
<td>
<select name="ye">
<option value="200" <?php if ($ye == '200'){echo 'selected';}?>>設定なし</option>
<option value="5" <?php if ($ye == '5'){echo 'selected';}?>>5年以内</option>
<option value="10" <?php if ($ye == '10'){echo 'selected';}?>>10年以内</option>
<option value="15" <?php if ($ye == '15'){echo 'selected';}?>>15年以内</option>
<option value="20" <?php if ($ye == '20'){echo 'selected';}?>>20年以内</option>
<option value="30" <?php if ($ye == '30'){echo 'selected';}?>>30年以内</option>
</select>
</td>
</tr>
<tr>
<td>居室数</td>
<td>
<select name="madori">
<option value="0" <?php if ($ma == '0'){echo 'selected';}?>>下限なし</option>
<option value="1" <?php if ($ma == '1'){echo 'selected';}?>>1室以上</option>
<option value="2" <?php if ($ma == '2'){echo 'selected';}?>>2室以上</option>
<option value="3" <?php if ($ma == '3'){echo 'selected';}?>>3室以上</option>
<option value="4" <?php if ($ma == '4'){echo 'selected';}?>>4室以上</option>
<option value="5" <?php if ($ma == '5'){echo 'selected';}?>>5室以上</option>
</select>
</td>
</tr>
<tr>
<td>土地面積</td>
<td>
<select name="tochi">
<option value="0" <?php if ($ti == '0'){echo 'selected';}?>>下限なし</option>
<option value="40" <?php if ($ti == '40'){echo 'selected';}?>>40㎡以上</option>
<option value="50" <?php if ($ti == '50'){echo 'selected';}?>>50㎡以上</option>
<option value="60" <?php if ($ti == '60'){echo 'selected';}?>>60㎡以上</option>
<option value="70" <?php if ($ti == '70'){echo 'selected';}?>>70㎡以上</option>
<option value="250" <?php if ($ti == '250'){echo 'selected';}?>>80㎡以上</option>
</select>
</td>
</tr>
<tr>
<td>建物面積</td>
<td>
<select name="menseki">
<option value="0" <?php if ($m == '0'){echo 'selected';}?>>下限なし</option>
<option value="40" <?php if ($m == '40'){echo 'selected';}?>>40㎡以上</option>
<option value="50" <?php if ($m == '50'){echo 'selected';}?>>50㎡以上</option>
<option value="60" <?php if ($m == '60'){echo 'selected';}?>>60㎡以上</option>
<option value="70" <?php if ($m == '70'){echo 'selected';}?>>70㎡以上</option>
<option value="80" <?php if ($m == '80'){echo 'selected';}?>>80㎡以上</option>
</select>
</td>
</tr>
<tr>
<td colspan="2">
<p style="text-align:center;"><input type="checkbox" name="pet" value="1" <?php if ($g_pet == '1'){echo 'checked';}?>>ペット飼育可能</p>
</td>
</tr>
</tbody>
</table>
    <div style="text-align:center;"><button type="submit" id="s-btn-area" style="padding:10px 50px;">検索</button></div>
</form>
    </div>
  </div>
</div>
<div class="user-container">
  <div class="user-body">
    <div class="user-close">×</div>
    <div class="modal-content">
<?php if(is_user_logged_in()):?>
<div style="background:#eee; padding:10px; position:relative;">会員メニュー<a href="<?php echo wp_logout_url( $_SERVER['REQUEST_URI'] ); ?>" style="position:absolute; right:10px;">ログアウト</a></div>
<?php include 'bookmark_fudousan.php';?>
<?php else:?>
<div style="background:#eee; padding:10px;">ログイン</div>
<form class="my_form" name="my_login_form" id="my_login_form" action="" method="post">
<input type="hidden" name="redirect_url" value="<?php echo $_SERVER['REQUEST_URI'];?>">
    <div>
        <label for="login_user_name">ユーザ名</label>
        <input id="login_user_name" name="user_name" type="text" required>
    </div>
    <div>
        <label for="login_password">パスワード</label>
        <input id="login_password" name="user_pass" id="user_pass" type="password" required>
    </div>
    <div style="text-align:right; margin:20px 0;"><button type="submit" name="my_submit" class="my_submit_btn" value="login" style="padding:10px;">ログイン</button></div>
    <?php wp_nonce_field( 'my_nonce_action', 'my_nonce_name' );  //nonceフィールド設置 ?>
</form>
<?php include 'forgot_password.php';?>
<details style="border:solid 1px; border-radius:4px; padding:10px; margin-bottom:10px;"><summary>会員登録</summary>
<form class="my_form" name="my_signup_form" id="my_signup_form" action="" method="post">
<input type="hidden" name="redirect_url" value="<?php echo $_SERVER['REQUEST_URI'];?>">
    <div>
        <label for="signup_user_name">ユーザ名</label>
        <input id="signup_user_name" name="user_name" type="text" required>
    </div>
    <div>
        <label for="signup_password">パスワード</label>
        <input id="signup_password" name="user_pass" id="user_pass" type="password" required>
    </div>
    <div>
        <label for="signup_email">メールアドレス</label>
        <input id="signup_email" name="user_email" type="email" required>
    </div>
    <div style="text-align:right; margin:20px 0;"><button type="submit" name="my_submit" class="my_submit_btn" value="signup" style="padding:10px;">会員登録</button></div>
    <?php wp_nonce_field( 'my_nonce_action', 'my_nonce_name' );  //nonceフィールド設置 ?>
</form>
</details>
<?php if(isset($_POST['my_submit']) && $_POST['my_submit'] === 'signup'):?>
<script>
$('.user-container').addClass('active');
</script>
<?php echo '<div style="background:#eee; padding:10px;">ご入力いただきましたメールアドレスに仮登録完了を通知しました。メールに記載の認証用URLをクリックして有効化してください。</div>';?>
<?php endif;?>
<?php endif;?>
    </div>
  </div>
</div>
<?php
$bookmark_value = array('price' => '価格', 'price_tax' => 'うち価格消費税', 'yield' => '想定利回り', 'rent' => '賃料', 'rent_tax' => 'うち賃料消費税', 'kanrihi' => '管理費', 'kanrihi_tax' => 'うち管理費消費税', 'kyouekihi' => '共益費', 'syuuzen' => '修繕積立金', 'sikikin' => '敷金', 'reikin' => '礼金', 'reikin_tax' => 'うち礼金消費税', 'hosyoukin' => '保証金', 'kenrikin' => '権利金', 'kenrikin_tax' => 'うち権利金消費税', 'tochi' => '土地面積', 'tochi_kenri' => '土地権利', 'kentiku_jouken' => '建築条件', 'madorisuu' => '間取り', 'tatemono' => '建物面積', 'sennyuu' => '専有面積', 'siyou' => '使用部分面積', 'room_no' => '部屋番号', 'syozaikai' => '所在階', 'balcony_direction' => 'バルコニー方向', 'light_direction' => '採光面方向', 'year' => '築年月', 'kouzou' => '建物構造', 'tijou' => '地上階層', 'tika' => '地下階層');
$station1 = array('ensen1' => '沿線名', 'station1' => '駅名', 'walk1' => '駅より徒歩', 'car1' => '駅より車', 'bus1' => '駅よりバス', 'bus_walk1' => 'バス停より徒歩', 'bus_rosen1' => 'バス路線名', 'bus_name1' => 'バス停名称');
$station2 = array('ensen2' => '沿線名', 'station2' => '駅名', 'walk2' => '駅より徒歩', 'car2' => '駅より車', 'bus2' => '駅よりバス', 'bus_walk2' => 'バス停より徒歩', 'bus_rosen2' => 'バス路線名', 'bus_name2' => 'バス停名称');
$station3 = array('ensen3' => '沿線名', 'station3' => '駅名', 'walk3' => '駅より徒歩', 'car3' => '駅より車', 'bus3' => '駅よりバス', 'bus_walk3' => 'バス停より徒歩', 'bus_rosen3' => 'バス路線名', 'bus_name3' => 'バス停名称');
$tochi = array('tochi' => '土地面積（私道を含まず）', 'tochi_kenri' => '土地権利', 'kentiku_jouken' => '建築条件');
$tatemono = array('madori' => '間取り', 'tatemono' => '建物面積', 'sennyuu' => '専有面積', 'siyou' => '使用部分面積', 'room_no' => '部屋番号', 'syozaikai' => '所在階', 'balcony_direction' => 'バルコニー方向', 'light_direction' => '採光面方向', 'year' => '築年月', 'kouzou' => '建物構造', 'tijou' => '地上階層', 'tika' => '地下階層');
if(isset($_GET['low-price'])){
echo '<div id="search_bukken">';
foreach($type as $type_value){
if(!empty($g_type)){
if($type_value === '売土地'){
if(array_search('売土地',$g_type) !== false){
$kaiin = $wpdb->get_results("SELECT * FROM $bukken_data INNER JOIN $fudousan_bukken_add ON $bukken_data.id = $fudousan_bukken_add.bukken_id WHERE todouhuken = '$todouhuken' AND syozaiti1 = '$syozaiti1' AND syozaiti2 IN ($g_syozaiti2_open) AND price >= '$l' AND price <= '$h' AND tochi >= '$ti' AND SUBSTRING(type,1,INSTR(type,'：')-1) = '$type_value' AND koukai = '会員'");
$kaiin_num = $wpdb->num_rows;
$bookmark_bukken = $wpdb->get_results("SELECT * FROM $bukken_data INNER JOIN $fudousan_bukken_add ON $bukken_data.id = $fudousan_bukken_add.bukken_id WHERE todouhuken = '$todouhuken' AND syozaiti1 = '$syozaiti1' AND syozaiti2 IN ($g_syozaiti2_open) AND price >= '$l' AND price <= '$h' AND tochi >= '$ti' AND SUBSTRING(type,1,INSTR(type,'：')-1) = '$type_value' AND koukai != ''");
$num = $wpdb->num_rows;
echo '<h2>'.$type_value.'：'.$num.'件（うち会員物件数：'.$kaiin_num.'件)</h2>';
include 'kensaku_jouken.php';
}
}
if($type_value === '売一戸建'){
if(array_search('売一戸建',$g_type) !== false){
$kaiin = $wpdb->get_results("SELECT * FROM $bukken_data INNER JOIN $fudousan_bukken_add ON $bukken_data.id = $fudousan_bukken_add.bukken_id WHERE todouhuken = '$todouhuken' AND syozaiti1 = '$syozaiti1' AND syozaiti2 IN ($g_syozaiti2_open) AND price >= '$l' AND price <= '$h' AND tochi >= '$ti' AND tatemono >= '$m' AND SUBSTRING(type,1,INSTR(type,'：')-1) = '$type_value' AND CONCAT(REPLACE(year, '\D','-'), '1') > DATE_SUB(date_format(now(),'%Y-%m-%d' ), INTERVAL $ye year) AND madorisuu >= '$ma' AND koukai = '会員'");
$kaiin_num = $wpdb->num_rows;
$bookmark_bukken = $wpdb->get_results("SELECT * FROM $bukken_data INNER JOIN $fudousan_bukken_add ON $bukken_data.id = $fudousan_bukken_add.bukken_id WHERE todouhuken = '$todouhuken' AND syozaiti1 = '$syozaiti1' AND syozaiti2 IN ($g_syozaiti2_open) AND price >= '$l' AND price <= '$h' AND tochi >= '$ti' AND tatemono >= '$m' AND SUBSTRING(type,1,INSTR(type,'：')-1) = '$type_value' AND CONCAT(REPLACE(year, '\D','-'), '1') > DATE_SUB(date_format(now(),'%Y-%m-%d' ), INTERVAL $ye year) AND madorisuu >= '$ma' AND koukai != ''");
$num = $wpdb->num_rows;
echo '<h2>'.$type_value.'：'.$num.'件（うち会員物件数：'.$kaiin_num.'件)</h2>';
include 'kensaku_jouken.php';
}
}
if($type_value === '売マンション'){
if(array_search('売マンション',$g_type) !== false){
$kaiin = $wpdb->get_results("SELECT * FROM $bukken_data INNER JOIN $fudousan_bukken_add ON $bukken_data.id = $fudousan_bukken_add.bukken_id WHERE todouhuken = '$todouhuken' AND syozaiti1 = '$syozaiti1' AND syozaiti2 IN ($g_syozaiti2_open) AND price >= '$l' AND price <= '$h' AND sennyuu >= '$m' AND SUBSTRING(type,1,INSTR(type,'：')-1) = '$type_value' AND CONCAT(REPLACE(year, '\D','-'), '1') > DATE_SUB(date_format(now(),'%Y-%m-%d' ), INTERVAL $ye year) AND madorisuu >= '$ma' AND koukai = '会員' AND pet IN ($g_pet_open)");
$kaiin_num = $wpdb->num_rows;
$bookmark_bukken = $wpdb->get_results("SELECT * FROM $bukken_data INNER JOIN $fudousan_bukken_add ON $bukken_data.id = $fudousan_bukken_add.bukken_id WHERE todouhuken = '$todouhuken' AND syozaiti1 = '$syozaiti1' AND syozaiti2 IN ($g_syozaiti2_open) AND price >= '$l' AND price <= '$h' AND sennyuu >= '$m' AND SUBSTRING(type,1,INSTR(type,'：')-1) = '$type_value' AND CONCAT(REPLACE(year, '\D','-'), '1') > DATE_SUB(date_format(now(),'%Y-%m-%d' ), INTERVAL $ye year) AND madorisuu >= '$ma' AND pet IN ($g_pet_open) AND koukai != ''");
$num = $wpdb->num_rows;
echo '<h2>'.$type_value.'：'.$num.'件（うち会員物件数：'.$kaiin_num.'件)</h2>';
include 'kensaku_jouken.php';
}
}
if($type_value === '売外全'){
if(array_search('売外全',$g_type) !== false){
$kaiin = $wpdb->get_results("SELECT * FROM $bukken_data INNER JOIN $fudousan_bukken_add ON $bukken_data.id = $fudousan_bukken_add.bukken_id WHERE todouhuken = '$todouhuken' AND syozaiti1 = '$syozaiti1' AND syozaiti2 IN ($g_syozaiti2_open) AND price >= '$l' AND price <= '$h' AND tochi >= '$ti' AND tatemono >= '$m' AND SUBSTRING(type,1,INSTR(type,'：')-1) = '$type_value' AND CONCAT(REPLACE(year, '\D','-'), '1') > DATE_SUB(date_format(now(),'%Y-%m-%d' ), INTERVAL $ye year) AND koukai = '会員' AND pet IN ($g_pet_open)");
$kaiin_num = $wpdb->num_rows;
$bookmark_bukken = $wpdb->get_results("SELECT * FROM $bukken_data INNER JOIN $fudousan_bukken_add ON $bukken_data.id = $fudousan_bukken_add.bukken_id WHERE todouhuken = '$todouhuken' AND syozaiti1 = '$syozaiti1' AND syozaiti2 IN ($g_syozaiti2_open) AND price >= '$l' AND price <= '$h' AND tochi >= '$ti' AND tatemono >= '$m' AND SUBSTRING(type,1,INSTR(type,'：')-1) = '$type_value' AND CONCAT(REPLACE(year, '\D','-'), '1') > DATE_SUB(date_format(now(),'%Y-%m-%d' ), INTERVAL $ye year) AND koukai != ''");
$num = $wpdb->num_rows;
echo '<h2>'.$type_value.'：'.$num.'件（うち会員物件数：'.$kaiin_num.'件)</h2>';
include 'kensaku_jouken.php';
}
}
if($type_value === '売外一'){
if(array_search('売外一',$g_type) !== false){
$kaiin = $wpdb->get_results("SELECT * FROM $bukken_data INNER JOIN $fudousan_bukken_add ON $bukken_data.id = $fudousan_bukken_add.bukken_id WHERE todouhuken = '$todouhuken' AND syozaiti1 = '$syozaiti1' AND syozaiti2 IN ($g_syozaiti2_open) AND price >= '$l' AND price <= '$h' AND sennyuu >= '$m' AND SUBSTRING(type,1,INSTR(type,'：')-1) = '$type_value' AND CONCAT(REPLACE(year, '\D','-'), '1') > DATE_SUB(date_format(now(),'%Y-%m-%d' ), INTERVAL $ye year) AND madorisuu >= '$ma' AND koukai = '会員' AND pet IN ($g_pet_open)");
$kaiin_num = $wpdb->num_rows;
$bookmark_bukken = $wpdb->get_results("SELECT * FROM $bukken_data INNER JOIN $fudousan_bukken_add ON $bukken_data.id = $fudousan_bukken_add.bukken_id WHERE todouhuken = '$todouhuken' AND syozaiti1 = '$syozaiti1' AND syozaiti2 IN ($g_syozaiti2_open) AND price >= '$l' AND price <= '$h' AND sennyuu >= '$m' AND SUBSTRING(type,1,INSTR(type,'：')-1) = '$type_value' AND CONCAT(REPLACE(year, '\D','-'), '1') > DATE_SUB(date_format(now(),'%Y-%m-%d' ), INTERVAL $ye year) AND madorisuu >= '$ma' AND pet IN ($g_pet_open) AND koukai != ''");
$num = $wpdb->num_rows;
echo '<h2>'.$type_value.'：'.$num.'件（うち会員物件数：'.$kaiin_num.'件)</h2>';
include 'kensaku_jouken.php';
}
}
if($type_value === '賃貸土地'){
if(array_search('賃貸土地',$g_type) !== false){
$kaiin = $wpdb->get_results("SELECT * FROM $bukken_data INNER JOIN $fudousan_bukken_add ON $bukken_data.id = $fudousan_bukken_add.bukken_id WHERE todouhuken = '$todouhuken' AND syozaiti1 = '$syozaiti1' AND syozaiti2 IN ($g_syozaiti2_open) AND rent >= '$lr' AND rent <= '$hr' AND tochi >= '$ti' AND SUBSTRING(type,1,INSTR(type,'：')-1) = '$type_value' AND koukai = '会員'");
$kaiin_num = $wpdb->num_rows;
$bookmark_bukken = $wpdb->get_results("SELECT * FROM $bukken_data INNER JOIN $fudousan_bukken_add ON $bukken_data.id = $fudousan_bukken_add.bukken_id WHERE todouhuken = '$todouhuken' AND syozaiti1 = '$syozaiti1' AND syozaiti2 IN ($g_syozaiti2_open) AND price >= '$l' AND price <= '$h' AND tochi >= '$ti' AND SUBSTRING(type,1,INSTR(type,'：')-1) = '$type_value' AND koukai != ''");
$num = $wpdb->num_rows;
echo '<h2>'.$type_value.'：'.$num.'件（うち会員物件数：'.$kaiin_num.'件)</h2>';
include 'kensaku_jouken.php';
}
}
if($type_value === '賃貸一戸建'){
if(array_search('賃貸一戸建',$g_type) !== false){
$kaiin = $wpdb->get_results("SELECT * FROM $bukken_data INNER JOIN $fudousan_bukken_add ON $bukken_data.id = $fudousan_bukken_add.bukken_id WHERE todouhuken = '$todouhuken' AND syozaiti1 = '$syozaiti1' AND syozaiti2 IN ($g_syozaiti2_open) AND rent >= '$lr' AND rent <= '$hr' AND tochi >= '$ti' AND tatemono >= '$m' AND SUBSTRING(type,1,INSTR(type,'：')-1) = '$type_value' AND CONCAT(REPLACE(year, '\D','-'), '1') > DATE_SUB(date_format(now(),'%Y-%m-%d' ), INTERVAL $ye year) AND madorisuu >= '$ma' AND koukai = '会員'");
$kaiin_num = $wpdb->num_rows;
$bookmark_bukken = $wpdb->get_results("SELECT * FROM $bukken_data INNER JOIN $fudousan_bukken_add ON $bukken_data.id = $fudousan_bukken_add.bukken_id WHERE todouhuken = '$todouhuken' AND syozaiti1 = '$syozaiti1' AND syozaiti2 IN ($g_syozaiti2_open) AND rent >= '$lr' AND rent <= '$hr' AND tochi >= '$ti' AND tatemono >= '$m' AND SUBSTRING(type,1,INSTR(type,'：')-1) = '$type_value' AND CONCAT(REPLACE(year, '\D','-'), '1') > DATE_SUB(date_format(now(),'%Y-%m-%d' ), INTERVAL $ye year) AND madorisuu >= '$ma' AND koukai != ''");
$num = $wpdb->num_rows;
echo '<h2>'.$type_value.'：'.$num.'件（うち会員物件数：'.$kaiin_num.'件)</h2>';
include 'kensaku_jouken.php';
}
}
if($type_value === '賃貸マンション'){
if(array_search('賃貸マンション',$g_type) !== false){
$kaiin = $wpdb->get_results("SELECT * FROM $bukken_data INNER JOIN $fudousan_bukken_add ON $bukken_data.id = $fudousan_bukken_add.bukken_id WHERE todouhuken = '$todouhuken' AND syozaiti1 = '$syozaiti1' AND syozaiti2 IN ($g_syozaiti2_open) AND rent >= '$lr' AND rent <= '$hr' AND sennyuu >= '$m' AND SUBSTRING(type,1,INSTR(type,'：')-1) = '$type_value' AND CONCAT(REPLACE(year, '\D','-'), '1') > DATE_SUB(date_format(now(),'%Y-%m-%d' ), INTERVAL $ye year) AND madorisuu >= '$ma' AND koukai = '会員' AND pet IN ($g_pet_open)");
$kaiin_num = $wpdb->num_rows;
$bookmark_bukken = $wpdb->get_results("SELECT * FROM $bukken_data INNER JOIN $fudousan_bukken_add ON $bukken_data.id = $fudousan_bukken_add.bukken_id WHERE todouhuken = '$todouhuken' AND syozaiti1 = '$syozaiti1' AND syozaiti2 IN ($g_syozaiti2_open) AND rent >= '$lr' AND rent <= '$hr' AND sennyuu >= '$m' AND SUBSTRING(type,1,INSTR(type,'：')-1) = '$type_value' AND CONCAT(REPLACE(year, '\D','-'), '1') > DATE_SUB(date_format(now(),'%Y-%m-%d' ), INTERVAL $ye year) AND madorisuu >= '$ma' AND pet IN ($g_pet_open) AND koukai != ''");
$num = $wpdb->num_rows;
echo '<h2>'.$type_value.'：'.$num.'件（うち会員物件数：'.$kaiin_num.'件)</h2>';
include 'kensaku_jouken.php';
}
}
if($type_value === '賃貸外全'){
if(array_search('賃貸外全',$g_type) !== false){
$kaiin = $wpdb->get_results("SELECT * FROM $bukken_data INNER JOIN $fudousan_bukken_add ON $bukken_data.id = $fudousan_bukken_add.bukken_id WHERE todouhuken = '$todouhuken' AND syozaiti1 = '$syozaiti1' AND syozaiti2 IN ($g_syozaiti2_open) AND rent >= '$lr' AND rent <= '$hr' AND tochi >= '$ti' AND tatemono >= '$m' AND SUBSTRING(type,1,INSTR(type,'：')-1) = '$type_value' AND CONCAT(REPLACE(year, '\D','-'), '1') > DATE_SUB(date_format(now(),'%Y-%m-%d' ), INTERVAL $ye year) AND koukai = '会員' AND pet IN ($g_pet_open)");
$kaiin_num = $wpdb->num_rows;
$bookmark_bukken = $wpdb->get_results("SELECT * FROM $bukken_data INNER JOIN $fudousan_bukken_add ON $bukken_data.id = $fudousan_bukken_add.bukken_id WHERE todouhuken = '$todouhuken' AND syozaiti1 = '$syozaiti1' AND syozaiti2 IN ($g_syozaiti2_open) AND rent >= '$lr' AND rent <= '$hr' AND tochi >= '$ti' AND tatemono >= '$m' AND SUBSTRING(type,1,INSTR(type,'：')-1) = '$type_value' AND CONCAT(REPLACE(year, '\D','-'), '1') > DATE_SUB(date_format(now(),'%Y-%m-%d' ), INTERVAL $ye year) AND koukai != ''");
$num = $wpdb->num_rows;
echo '<h2>'.$type_value.'：'.$num.'件（うち会員物件数：'.$kaiin_num.'件)</h2>';
include 'kensaku_jouken.php';
}
}
if($type_value === '賃貸外一'){
if(array_search('賃貸外一',$g_type) !== false){
$kaiin = $wpdb->get_results("SELECT * FROM $bukken_data INNER JOIN $fudousan_bukken_add ON $bukken_data.id = $fudousan_bukken_add.bukken_id WHERE todouhuken = '$todouhuken' AND syozaiti1 = '$syozaiti1' AND syozaiti2 IN ($g_syozaiti2_open) AND rent >= '$lr' AND rent <= '$hr' AND siyou >= '$m' AND SUBSTRING(type,1,INSTR(type,'：')-1) = '$type_value' AND CONCAT(REPLACE(year, '\D','-'), '1') > DATE_SUB(date_format(now(),'%Y-%m-%d' ), INTERVAL $ye year) AND madorisuu >= '$ma' AND koukai = '会員' AND pet IN ($g_pet_open)");
$kaiin_num = $wpdb->num_rows;
$bookmark_bukken = $wpdb->get_results("SELECT * FROM $bukken_data INNER JOIN $fudousan_bukken_add ON $bukken_data.id = $fudousan_bukken_add.bukken_id WHERE todouhuken = '$todouhuken' AND syozaiti1 = '$syozaiti1' AND syozaiti2 IN ($g_syozaiti2_open) AND rent >= '$lr' AND rent <= '$hr' AND siyou >= '$m' AND SUBSTRING(type,1,INSTR(type,'：')-1) = '$type_value' AND CONCAT(REPLACE(year, '\D','-'), '1') > DATE_SUB(date_format(now(),'%Y-%m-%d' ), INTERVAL $ye year) AND madorisuu >= '$ma' AND pet IN ($g_pet_open) AND koukai != ''");
$num = $wpdb->num_rows;
echo '<h2>'.$type_value.'：'.$num.'件（うち会員物件数：'.$kaiin_num.'件)</h2>';
include 'kensaku_jouken.php';
}
}
}
}
echo '</div>';
}else{
foreach($type as $type_value){
$bookmark_bukken = $wpdb->get_results("SELECT * FROM $bukken_data INNER JOIN $fudousan_bukken_add ON $bukken_data.id = $fudousan_bukken_add.bukken_id WHERE todouhuken = '$todouhuken' and syozaiti1 = '$syozaiti1' and SUBSTRING(type,1,INSTR(type,'：')-1) = '$type_value'");
$bookmark_bukken2 = $wpdb->get_results("SELECT * FROM $bukken_data INNER JOIN $fudousan_bukken_add ON $bukken_data.id = $fudousan_bukken_add.bukken_id WHERE todouhuken = '$todouhuken' and syozaiti1 = '$syozaiti1' and SUBSTRING(type,1,INSTR(type,'：')-1) = '$type_value' koukai != '' ");
$num = $wpdb->num_rows;
$kaiin = $wpdb->get_results("SELECT * FROM $bukken_data INNER JOIN $fudousan_bukken_add ON $bukken_data.id = $fudousan_bukken_add.bukken_id WHERE todouhuken = '$todouhuken' and syozaiti1 = '$syozaiti1' and SUBSTRING(type,1,INSTR(type,'：')-1) = '$type_value' and koukai = '会員'");
$kaiin_num = $wpdb->num_rows;
echo '<h2>'.$type_value.'：'.$num.'件（うち会員物件数：'.$kaiin_num.'件)</h2>';
include 'kensaku_jouken.php';
}
}
?>
<script>
  // 変数に要素を入れる
  var open = $('.modal-open'),
    close = $('.modal-close'),
    container = $('.modal-container');

  //開くボタンをクリックしたらモーダルを表示する
  open.on('click',function(){ 
    container.addClass('active');
    return false;
  });

  //閉じるボタンをクリックしたらモーダルを閉じる
  close.on('click',function(){  
    container.removeClass('active');
  });

  //モーダルの外側をクリックしたらモーダルを閉じる
  $(document).on('click',function(e) {
    if(!$(e.target).closest('.modal-body').length) {
      container.removeClass('active');
    }
  });
  // 変数に要素を入れる
  var user_open = $('.user-open'),
    user_close = $('.user-close'),
    user_container = $('.user-container');

  //開くボタンをクリックしたらモーダルを表示する
  user_open.on('click',function(){ 
    user_container.addClass('active');
    return false;
  });

  //閉じるボタンをクリックしたらモーダルを閉じる
  user_close.on('click',function(){  
    user_container.removeClass('active');
  });

  //モーダルの外側をクリックしたらモーダルを閉じる
  $(document).on('click',function(e) {
    if(!$(e.target).closest('.user-body').length) {
      user_container.removeClass('active');
    }
  });
  var height = $('.modal-contents').offset().top + $(window).height();
  $(window).on("scroll", function() {
    if ($(this).scrollTop() > height ) {
      $(".modal-contents").addClass('fixed');
    } else {
      $(".modal-contents").removeClass('fixed');
    }
  });
</script>