<?php
$bookmark_value = array('price' => '価格', 'price_tax' => 'うち価格消費税', 'yield' => '想定利回り', 'rent' => '賃料', 'rent_tax' => 'うち賃料消費税', 'tanka' => '㎡単価', 'tubotanka' => '坪単価※3.30578で換算', 'sikikin' => '敷金', 'reikin' => '礼金', 'reikin_tax' => 'うち礼金消費税', 'hosyoukin' => '保証金', 'kenrikin' => '権利金', 'kenrikin_tax' => 'うち権利金消費税', 'kanrihi' => '管理費', 'kanrihi_tax' => 'うち管理費消費税', 'kyouekihi' => '共益費', 'syuuzen' => '修繕積立金', 'tochi' => '土地面積', 'tochi_kenri' => '土地権利', 'kentiku_jouken' => '建築条件', 'tatemono' => '建物面積', 'sennyuu' => '専有面積', 'siyou' => '使用部分面積', 'room_no' => '部屋番号', 'syozaikai' => '所在階', 'balcony_direction' => 'バルコニー方向', 'light_direction' => '採光面方向', 'year' => '築年月', 'kouzou' => '建物構造', 'tijou' => '地上階層', 'tika' => '地下階層');
$station1 = array('ensen1' => '沿線名', 'station1' => '駅名', 'walk1' => '駅より徒歩', 'car1' => '駅より車', 'bus1' => '駅よりバス', 'bus_walk1' => 'バス停より徒歩', 'bus_rosen1' => 'バス路線名', 'bus_name1' => 'バス停名称');
$station2 = array('ensen2' => '沿線名', 'station2' => '駅名', 'walk2' => '駅より徒歩', 'car2' => '駅より車', 'bus2' => '駅よりバス', 'bus_walk2' => 'バス停より徒歩', 'bus_rosen2' => 'バス路線名', 'bus_name2' => 'バス停名称');
$station3 = array('ensen3' => '沿線名', 'station3' => '駅名', 'walk3' => '駅より徒歩', 'car3' => '駅より車', 'bus3' => '駅よりバス', 'bus_walk3' => 'バス停より徒歩', 'bus_rosen3' => 'バス路線名', 'bus_name3' => 'バス停名称');
$tochi = array('tochi' => '土地面積（私道を含まず）', 'tochi_kenri' => '土地権利', 'kentiku_jouken' => '建築条件');
$tatemono = array('tatemono' => '建物面積', 'sennyuu' => '専有面積', 'siyou' => '使用部分面積', 'room_no' => '部屋番号', 'syozaikai' => '所在階', 'balcony_direction' => 'バルコニー方向', 'light_direction' => '採光面方向', 'year' => '築年月', 'kouzou' => '建物構造', 'tijou' => '地上階層', 'tika' => '地下階層');
if($bookmark !=''){
if ( mb_strpos( $bookmark, '][' ) === false ) {
$metas_value = trim($bookmark, '[]');
}else{
$metas = str_replace('][',':',$bookmark);
$metas = trim($metas, '[]');
$mv = explode(':',$metas);
foreach ($mv as $value){
$metas_value .= $value;
if(next($mv)){
$metas_value .= ',';
}
}
}
echo '<div style="border:solid 1px; padding:10px;">お気に入り物件一覧</div>';
$bookmark_bukken = $wpdb->get_results("SELECT * FROM $bukken_data WHERE id IN ($metas_value)");
foreach( $bookmark_bukken as $b_bukken){
$bukken_option = $wpdb->get_row("SELECT * FROM $fudousan_bukken_add WHERE id = $b_bukken->id");
echo '<div style="border-bottom:dashed 1px; padding:10px;">';
if(!empty($bukken_option->title)){
echo '<div style="padding:10px 0;">'.$bukken_option->title.'【'.$b_bukken->type.'】<form method="post" style="display:inline-block;"><input type="hidden" name="regi" value="['.$b_bukken->id.']"><button type="submit" name="d_update" style="padding:10px;">お気に入り除外</button></form></div>';
}else{
echo '<div style="padding:10px 0;">'.$b_bukken->syozaiti1.$b_bukken->syozaiti2.number_format($b_bukken->price/10000).'万円【'.$b_bukken->type.'】<form method="post" style="display:inline-block;"><input type="hidden" name="regi" value="['.$b_bukken->id.']"><button type="submit" name="d_update" style="padding:10px;">お気に入り除外</button></form></div>';
}
echo '<div style="display:flex; flex-wrap: wrap; margin-bottom:5px; justify-content:center;">';
if(!empty($bukken_option->gazou2)){
echo '<img src="'.$bukken_option->gazou2.'" style="width:200px;  flex-grow:1; margin-bottom:5px;"/>';
}else{
echo '<img src="'.plugins_url().'/jisaku_bukken/no_image.jpg" style="width:200px;  flex-grow:1; margin-bottom:5px;"/>';
}
echo '<div style="display:flex; flex-direction:column; flex-grow:1;">';
echo '<div style="display:flex; flex-direction:column; font-size:12px; flex-grow:1;"><div style="background:#eee; padding:10px;">所在地</div><div style="padding:10px;">'.$b_bukken->todouhuken.$b_bukken->syozaiti1.$b_bukken->syozaiti2.'</div></div>';
foreach ($station1 as $key => $data){
if(!empty($b_bukken->$key)){
if($key === 'ensen1'){echo '<div style="display:flex; flex-direction:column; font-size:12px; flex-grow:1;"><div style="background:#eee; padding:10px;">交通</div><div style="padding:10px;">';}
if($key === 'walk1'){echo '駅より徒歩';}
if($key === 'car1'){echo '駅より車';}
if($key === 'bus1'){echo '駅よりバス';}
if($key === 'bus_walk1'){echo '、バス停より徒歩';}
if($key === 'bus_rosen1'){echo '、バス路線名：';}
if($key === 'bus_name1'){echo '、バス停名称：';}
echo $b_bukken->$key;
}
if(!next($station1)){

echo '</div></div>';

}
}
echo '</div>';
echo '</div>';
echo '<div style="display:flex; flex-wrap: wrap; align-items: center; font-size:12px;">';
foreach($bookmark_value as $key => $data){
if(!empty($b_bukken->$key)){
if($key === 'price' || $key === 'rent'){echo '<div style="display:flex; flex-direction:column; border:solid 1px #fff; text-align:center;"><div style="background:#ddd; padding:5px;">'.$data.'</div><div style="padding:5px;">'; echo number_format($b_bukken->$key/10000).'万円'; echo '</div></div>';}
elseif($key === 'tochi' || $key === 'tatemono' || $key === 'sennyuu' || $key === 'siyou'){if($b_bukken->$key > 0){echo '<div style="display:flex; flex-direction:column; border:solid 1px #fff; text-align:center;"><div style="background:#ddd; padding:5px;">'.$data.'</div><div style="padding:5px;">'; echo $b_bukken->$key.'㎡'; echo '</div></div>';}else{}}
else{echo '<div style="display:flex; flex-direction:column; border:solid 1px #fff; text-align:center;"><div style="background:#ddd; padding:5px;">'.$data.'</div><div style="padding:5px;">'; echo $b_bukken->$key; echo '</div></div>';}
}
}
echo '</div>';
echo '<div style="text-align:right;"><a href="'.get_permalink().'?fudou-bukken='.$b_bukken->id.'">詳細を見る</a></div>';
echo '</div>';
}
}
if(isset($_POST['d_update'])){
$regi = $_POST['regi'];
update_user_meta( $user->ID, 'fudo-bookmark', str_replace($regi,'',$bookmark));
echo <<<EOF
<script>
    location.href='{$_SERVER['REQUEST_URI']}';
</script>
EOF;
}
?>